View Bug Details

IDProjectCategoryView StatusLast Update
0001755DCP-o-maticBugspublic2021-10-08 00:05
Reportercarl Assigned Tocarl  
PriorityimmediateSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
OSWindows 
Target Version2.16.0 
Summary0001755: boost::filesystem::file_size: The system cannot find the path specified
Description

on trying to copy a DCP (with writer).

Tagsalpha-1-blocker, ci
Branchwindows-long-filenames
Estimated weeks required
Estimated work requiredSmall

Activities

carl

2020-06-05 14:42

administrator   ~0003836

Works when the folder is moved to C:\
Path is about 260 characters long.

carl

2021-04-20 21:30

administrator   ~0004255

Last edited: 2021-04-20 21:33

MAX_PATH is 260 characters without some fiddling - registry hacks and new versions of Windows 10 - or maybe using the Unicode APIs...
https://docs.microsoft.com/en-us/windows/win32/fileio/maximum-file-path-limitation

Or maybe we can just stick \\?\ on the front of paths: https://www.boost.org/doc/libs/1_57_0/libs/filesystem/doc/reference.html

carl

2021-04-21 00:02

administrator   ~0004262

See branch - maybe just make a helper that does what fopen_boost does to the pathname, then use that in some choice places.

carl

2021-04-24 00:01

administrator   ~0004295

Should be fixed by 8b8322ea5f3f62e5d1a20788c631d7c18e19055b

Bug History

Date Modified Username Field Change
2020-06-05 14:41 carl New Bug
2020-06-05 14:41 carl Priority normal => immediate
2020-06-05 14:41 carl Estimated work required => Undecided
2020-06-05 14:42 carl Note Added: 0003836
2020-12-01 12:31 carl Estimated work required Undecided => Small
2021-04-20 21:30 carl Note Added: 0004255
2021-04-20 21:31 carl Priority immediate => normal
2021-04-20 21:31 carl Severity major => minor
2021-04-20 21:31 carl Status new => acknowledged
2021-04-20 21:31 carl Target Version 2.16.0 =>
2021-04-20 21:33 carl Note Edited: 0004255
2021-04-20 21:37 carl Priority normal => immediate
2021-04-20 21:37 carl Target Version => 2.16.0
2021-04-21 00:00 carl Branch => windows-long-filenames
2021-04-21 00:02 carl Note Added: 0004262
2021-04-22 13:00 carl Tag Attached: alpha-1-blocker
2021-04-22 18:57 carl Assigned To => carl
2021-04-22 18:57 carl Status acknowledged => confirmed
2021-04-22 21:26 carl Tag Attached: ci
2021-04-24 00:01 carl Status confirmed => resolved
2021-04-24 00:01 carl Resolution open => fixed
2021-04-24 00:01 carl Note Added: 0004295
2021-10-08 00:05 carl Status resolved => closed